## ucar.netcdf
Interface DimensionIterator

public interface DimensionIterator

Type specific Iterator. Use the Iterator methods to fetch elements sequentially.

See Also:
  `Iterator`

Method Summary
`boolean` `hasNext()` Returns `true` if there are more elements.
`Dimension` `next()` Returns the next element.

Method Detail

### hasNext

    public boolean hasNext()

  Returns `true` if there are more elements.

### next

    public Dimension next()

  Returns the next element. Calls to this method will step through successive elements.

  Throws:
    `NoSuchElementException` - If no more elements exist.